"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  slugify: true,
  preeval: true,
  withLinariaMetadata: true,
  getLinariaMetadata: true,
  Module: true,
  DefaultModuleImplementation: true,
  transform: true,
  isUnprocessedEntrypointError: true,
  UnprocessedEntrypointError: true,
  EvaluatedEntrypoint: true,
  parseFile: true,
  baseHandlers: true,
  prepareCode: true,
  Entrypoint: true,
  transformUrl: true,
  asyncResolveImports: true,
  syncResolveImports: true,
  loadLinariaOptions: true,
  withDefaultServices: true,
  isNode: true,
  getTagProcessor: true,
  getVisitorKeys: true,
  peek: true,
  processTemplateExpression: true,
  TransformCacheCollection: true
};
Object.defineProperty(exports, "DefaultModuleImplementation", {
  enumerable: true,
  get: function () {
    return _module.DefaultModuleImplementation;
  }
});
Object.defineProperty(exports, "Entrypoint", {
  enumerable: true,
  get: function () {
    return _Entrypoint2.Entrypoint;
  }
});
Object.defineProperty(exports, "EvaluatedEntrypoint", {
  enumerable: true,
  get: function () {
    return _EvaluatedEntrypoint.EvaluatedEntrypoint;
  }
});
Object.defineProperty(exports, "Module", {
  enumerable: true,
  get: function () {
    return _module.default;
  }
});
Object.defineProperty(exports, "TransformCacheCollection", {
  enumerable: true,
  get: function () {
    return _cache.TransformCacheCollection;
  }
});
Object.defineProperty(exports, "UnprocessedEntrypointError", {
  enumerable: true,
  get: function () {
    return _UnprocessedEntrypointError.UnprocessedEntrypointError;
  }
});
Object.defineProperty(exports, "asyncResolveImports", {
  enumerable: true,
  get: function () {
    return _resolveImports.asyncResolveImports;
  }
});
Object.defineProperty(exports, "baseHandlers", {
  enumerable: true,
  get: function () {
    return _generators.baseHandlers;
  }
});
exports.default = linaria;
Object.defineProperty(exports, "getLinariaMetadata", {
  enumerable: true,
  get: function () {
    return _withLinariaMetadata.getLinariaMetadata;
  }
});
Object.defineProperty(exports, "getTagProcessor", {
  enumerable: true,
  get: function () {
    return _getTagProcessor.getTagProcessor;
  }
});
Object.defineProperty(exports, "getVisitorKeys", {
  enumerable: true,
  get: function () {
    return _getVisitorKeys.default;
  }
});
Object.defineProperty(exports, "isNode", {
  enumerable: true,
  get: function () {
    return _isNode.default;
  }
});
Object.defineProperty(exports, "isUnprocessedEntrypointError", {
  enumerable: true,
  get: function () {
    return _UnprocessedEntrypointError.isUnprocessedEntrypointError;
  }
});
Object.defineProperty(exports, "loadLinariaOptions", {
  enumerable: true,
  get: function () {
    return _loadLinariaOptions.default;
  }
});
Object.defineProperty(exports, "parseFile", {
  enumerable: true,
  get: function () {
    return _Entrypoint.parseFile;
  }
});
Object.defineProperty(exports, "peek", {
  enumerable: true,
  get: function () {
    return _peek.default;
  }
});
Object.defineProperty(exports, "preeval", {
  enumerable: true,
  get: function () {
    return _preeval.default;
  }
});
Object.defineProperty(exports, "prepareCode", {
  enumerable: true,
  get: function () {
    return _transform2.prepareCode;
  }
});
Object.defineProperty(exports, "processTemplateExpression", {
  enumerable: true,
  get: function () {
    return _processTemplateExpression.processTemplateExpression;
  }
});
Object.defineProperty(exports, "slugify", {
  enumerable: true,
  get: function () {
    return _utils.slugify;
  }
});
Object.defineProperty(exports, "syncResolveImports", {
  enumerable: true,
  get: function () {
    return _resolveImports.syncResolveImports;
  }
});
Object.defineProperty(exports, "transform", {
  enumerable: true,
  get: function () {
    return _transform.default;
  }
});
Object.defineProperty(exports, "transformUrl", {
  enumerable: true,
  get: function () {
    return _extract.transformUrl;
  }
});
Object.defineProperty(exports, "withDefaultServices", {
  enumerable: true,
  get: function () {
    return _withDefaultServices.withDefaultServices;
  }
});
Object.defineProperty(exports, "withLinariaMetadata", {
  enumerable: true,
  get: function () {
    return _withLinariaMetadata.default;
  }
});
var _logger = require("@linaria/logger");
var _babelTransform = _interopRequireDefault(require("./plugins/babel-transform"));
var _utils = require("@linaria/utils");
var _preeval = _interopRequireDefault(require("./plugins/preeval"));
var _withLinariaMetadata = _interopRequireWildcard(require("./utils/withLinariaMetadata"));
var _module = _interopRequireWildcard(require("./module"));
var _transform = _interopRequireDefault(require("./transform"));
var _UnprocessedEntrypointError = require("./transform/actions/UnprocessedEntrypointError");
var _types = require("./types");
Object.keys(_types).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _types[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _types[key];
    }
  });
});
var _EvaluatedEntrypoint = require("./transform/EvaluatedEntrypoint");
var _Entrypoint = require("./transform/Entrypoint.helpers");
var _generators = require("./transform/generators");
var _transform2 = require("./transform/generators/transform");
var _Entrypoint2 = require("./transform/Entrypoint");
var _extract = require("./transform/generators/extract");
var _resolveImports = require("./transform/generators/resolveImports");
var _loadLinariaOptions = _interopRequireDefault(require("./transform/helpers/loadLinariaOptions"));
var _withDefaultServices = require("./transform/helpers/withDefaultServices");
var _isNode = _interopRequireDefault(require("./utils/isNode"));
var _getTagProcessor = require("./utils/getTagProcessor");
var _getVisitorKeys = _interopRequireDefault(require("./utils/getVisitorKeys"));
var _peek = _interopRequireDefault(require("./utils/peek"));
var _processTemplateExpression = require("./utils/processTemplateExpression");
var _cache = require("./cache");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
/**
 * File defines babel preset for Linaria.
 * It uses ./extract function that is an entry point for styles extraction.
 * It also bypass babel options defined in Linaria config file with it's defaults (see ./utils/loadOptions).
 */

function isEnabled(caller) {
  return (caller === null || caller === void 0 ? void 0 : caller.name) !== 'linaria' || caller.evaluate === true;
}
function linaria(babel, options) {
  if (!babel.caller(isEnabled)) {
    return {};
  }
  (0, _logger.debug)('options', JSON.stringify(options));
  return {
    plugins: [[_babelTransform.default, options]]
  };
}
//# sourceMappingURL=index.js.map