"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.withDefaultServices = void 0;
var babelCore = _interopRequireWildcard(require("@babel/core"));
var _utils = require("@linaria/utils");
var _cache = require("../../cache");
var _Entrypoint = require("../Entrypoint.helpers");
var _rootLog = require("../rootLog");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const withDefaultServices = ({
  babel = babelCore,
  cache = new _cache.TransformCacheCollection(),
  loadAndParseFn = _Entrypoint.loadAndParse,
  log = _rootLog.rootLog,
  options,
  eventEmitter = _utils.EventEmitter.dummy
}) => ({
  babel,
  cache,
  loadAndParseFn,
  log,
  options,
  eventEmitter
});
exports.withDefaultServices = withDefaultServices;
//# sourceMappingURL=withDefaultServices.js.map