"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.processTemplateExpression = void 0;
var _getTagProcessor = require("./getTagProcessor");
const processed = new WeakSet();
const processTemplateExpression = (p, fileContext, options, emit) => {
  if (p.parentPath.isExportSpecifier()) return;
  if (processed.has(p.node)) return;
  const tagProcessor = (0, _getTagProcessor.getTagProcessor)(p, fileContext, options);
  processed.add(p.node);
  if (tagProcessor === null) return;
  emit(tagProcessor);
};
exports.processTemplateExpression = processTemplateExpression;
//# sourceMappingURL=processTemplateExpression.js.map