/**
 * Collector traverses the AST and collects information about imports and
 * all Linaria template literals.
 */
import type { BabelFile, PluginObj } from '@babel/core';
import type { StrictOptions } from '@linaria/utils';
import type { Core } from '../babel';
import type { IPluginState, ValueCache } from '../types';
export declare const filename: string;
export declare function collector(file: BabelFile, options: Pick<StrictOptions, 'classNameSlug' | 'displayName' | 'evaluate' | 'tagResolver'>, values: ValueCache): {
    artifacts: import("@linaria/utils").Artifact[];
}[];
export default function collectorPlugin(babel: Core, options: StrictOptions & {
    values?: ValueCache;
}): PluginObj<IPluginState>;
